--- ./include/lcms.h.uw	2003-11-12 05:47:50.950000055 +0000
+++ ./include/lcms.h	2003-11-12 05:47:50.960000034 +0000
@@ -65,7 +65,11 @@
 
 // Uncomment this one if you are using big endian machines (only meaningful
 // when NON_WINDOWS is used)
+#if defined(__USLC__)
+#include <sys/byteorder.h>
+#else
 #include <endian.h>
+#endif
 #if __BYTE_ORDER == __BIG_ENDIAN
 #define USE_BIG_ENDIAN   1
 #endif
--- ./jpegicc/makefile.uw	2002-06-14 15:08:42.000000000 +0000
+++ ./jpegicc/makefile	2003-11-12 05:47:50.960000054 +0000
@@ -1,6 +1,10 @@
 SHELL = /bin/sh
 
-CFLAGS = -g -O4 -fomit-frame-pointer -Wall -I../include -I/usr/include -I/usr/local/include
+#CFLAGS = -g -O4 -fomit-frame-pointer -Wall -I../include -I/usr/include -I/usr/local/include
+CC       = cc
+CXX      = CC
+CFLAGS   = -Kthread -Kalloca -O2 -I../include
+CXXFLAGS = -Kthread -Kalloca -O2 -I../include
 BASEDIR = $(DESTDIR)/usr
 BINDIR  = $(BASEDIR)/bin
 
--- ./samples/Makefile.uw	2002-06-14 15:07:01.000000000 +0000
+++ ./samples/Makefile	2003-11-12 05:50:03.510000016 +0000
@@ -1,6 +1,10 @@
 SHELL = /bin/sh
 
-CFLAGS = -g -O4 -Wall
+#CFLAGS = -g -O4 -Wall
+CC       = cc
+CXX      = CC
+CFLAGS   = -Kthread -Kalloca -O2
+CXXFLAGS   = -Kthread -Kalloca -O2
 BASEDIR = $(DESTDIR)/usr
 BINDIR  = $(BASEDIR)/bin
 
--- ./src/makefile.uw	2003-11-12 05:47:50.950000076 +0000
+++ ./src/makefile	2003-11-12 05:47:50.970000000 +0000
@@ -4,16 +4,20 @@
 ifeq ("alpha","$(shell uname -m)")
 ARCHFLAGS = -mieee
 endif
-CFLAGS  = -g -O4 -I../include -fomit-frame-pointer -Wall -fPIC $(ARCHFLAGS)
-CFLAGS  = -g -O4 -I../include -fomit-frame-pointer -Wall -fPIC $(ARCHFLAGS) $(RPM_OPT_FLAGS)
+#CFLAGS  = -g -O4 -I../include -fomit-frame-pointer -Wall -fPIC $(ARCHFLAGS)
+#CFLAGS  = -g -O4 -I../include -fomit-frame-pointer -Wall -fPIC $(ARCHFLAGS) $(RPM_OPT_FLAGS)
+CC        = cc
+CXX       = CC
+CFLAGS    = -Kthread -Kalloca -O2 -I../include -KPIC
+CXXFLAGS  = -Kthread -Kalloca -O2 -I../include -KPIC
 LDFLAGS = -lm
 BASEDIR = $(DESTDIR)/usr
 BINDIR  = $(BASEDIR)/bin
 LIBDIR  = $(BASEDIR)/lib
 INCDIR  = $(BASEDIR)/include
 VERSION = 1.0.9
-AR      = ar -cru
-RANLIB  = ranlib
+AR      = /usr/bin/ar -cru
+RANLIB  = true
 
 .c.o:	
 	$(CC) $(CFLAGS) -c $<
@@ -38,7 +42,7 @@
 	$(RANLIB) liblcms.a
 
 liblcms.so.${VERSION}: $(OBJS) 
-	-$(CC) $(CFLAGS) $(LDFLAGS) -shared -Wl,-soname -Wl,liblcms.so.1 -o liblcms.so.${VERSION} $(OBJS) 
+	-$(CC) $(CFLAGS) $(LDFLAGS) -G -Wl,-h -Wl,liblcms.so.1 -o liblcms.so.${VERSION} $(OBJS) 
 	-ln -s liblcms.so.${VERSION} liblcms.so.1
 	-ln -s liblcms.so.1 liblcms.so
 
@@ -48,8 +52,8 @@
 
 install: liblcms.a  liblcms.so.${VERSION}
 	mkdir -p $(BINDIR) $(LIBDIR) $(INCDIR)
-	-cp -a liblcms.so* $(LIBDIR)
-	cp -a liblcms.a $(LIBDIR)
+	-cp -pR liblcms.so* $(LIBDIR)
+	cp -pR liblcms.a $(LIBDIR)
 	cp ../include/lcms.h ../include/icc34.h $(INCDIR)
 
 #
--- ./testbed/Makefile.uw	2002-06-14 15:07:46.000000000 +0000
+++ ./testbed/Makefile	2003-11-12 05:50:41.980000021 +0000
@@ -1,6 +1,10 @@
 SHELL = /bin/sh
 
-CFLAGS = -g -O4 -fomit-frame-pointer -Wall -I../include
+#CFLAGS = -g -O4 -fomit-frame-pointer -Wall -I../include
+CC       = cc
+CXX      = CC
+CFLAGS   = -Kthread -Kalloca -O2 -I../include
+CXXFLAGS   = -Kthread -Kalloca -O2 -I../include
 
 testcms.o: testcms.c
 
--- ./tifficc/Makefile.uw	2002-06-14 15:49:53.000000000 +0000
+++ ./tifficc/Makefile	2003-11-12 05:51:05.130000016 +0000
@@ -1,6 +1,10 @@
 SHELL = /bin/sh
 
-CFLAGS = -g -O4 -fomit-frame-pointer -Wall -I../include -I/usr/include -I/usr/local/include
+#CFLAGS = -g -O4 -fomit-frame-pointer -Wall -I../include -I/usr/include -I/usr/local/include
+CC       = cc
+CXX      = CC
+CFLAGS   = -Kthread -Kalloca -O2 -I../include
+CXXFLAGS   = -Kthread -Kalloca -O2 -I../include
 BASEDIR = $(DESTDIR)/usr
 BINDIR  = $(BASEDIR)/bin
 
